#include <iostream>
using namespace std;
int main(){

    long long int n,k,i,rez=0,j,m;
    cin >> n >> k;
    long long int a[n];
    for(i=0;i<n;i++){
        cin >> a[i];
    }
    if(k==1){
        for(i=0;i<n;i++){
            for(j=i;j<n;j++){
                for(m=i;m<j+1;m++){
                    rez += a[m];
                }
            }
        }
    }
    cout << rez % 1000000007;


}